﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace ChartLegendScrollBar
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.ScoreSetsChart.DefaultView.ChartArea.AxisX.LayoutMode = AxisLayoutMode.Inside;
            ScoreSetsChart.ItemsSource = GetData();
        }

        public static ObservableCollection<ChartData> GetData()
        {
            Random r = new Random();
            DateTime today = DateTime.Today;
            ObservableCollection<ChartData> chartData;
            chartData = new ObservableCollection<ChartData>() 
            {
                new ChartData() { PostDate= "Security", MentionChartCount=r.Next(1,5) },
                new ChartData() { PostDate= "Service", MentionChartCount=r.Next(1,5) },
                new ChartData() { PostDate= "Risk Factors", MentionChartCount=r.Next(1,5)},
                new ChartData() { PostDate= "Custom Factors", MentionChartCount=r.Next(1,5)}
            };

            return chartData;
        }

        public class ChartData
        {
            public string PostDate
            {
                get;
                set;
            }
            public double MentionChartCount
            {
                get;
                set;
            }
        }
    }
}

